/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmpw.sketch.behavior.ScribbleController");

dojo.require("rmpw.diagrams.edit.EditController");

dojo.require("rmpw.diagrams.edit.tools.Focusable");
dojo.require("rmpw.diagrams.edit.tools.Resizable");
dojo.require("rmpw.diagrams.edit.tools.Moveable");

dojo.declare("rmpw.sketch.behavior.ScribbleController", rmpw.diagrams.edit.EditController, {	
			
	constructor: function( renderMapping, element ){
		this.element = element;
    },
    
    createPolicies: function() {
		this.createPolicy( rmpw.diagrams.edit.tools.Focusable );
		this.createPolicy( rmpw.diagrams.edit.tools.Resizable );
		this.createPolicy( rmpw.diagrams.edit.tools.Moveable );
    }
});