/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmpw.sketch.commands.SketchCommandPackage");

dojo.require("rmpw.common.command.DomainCommandSet");

dojo.require("rmpw.sketch.commands.SketchCommandSet");

/**
 * Package of commands that apply to the corresponding Sketch model,
 * indexed by class id.
 * 
 * @author Steve Shaw
 */
dojo.declare("rmpw.sketch.commands.SketchCommandPackage", rmpw.common.command.DomainCommandSet, {
	classesByName: {
		Sketch: new rmpw.sketch.commands.SketchCommandSet()
	}
});