/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("rmpw.sketch.commands.shapes.TextArguments");

dojo.declare("rmpw.sketch.commands.shapes.TextArguments", null, {
	
	args: null,
	
	constructor: function( args ){
		this.args = args;
	},
	
	arguments: function(){ 
		
		if( this.args.fontSize == null ){
			this.args.fontSize = "12pt";
		}
		
		if( this.args.textColor == null ){
			this.args.textColor = "#DC143C";
		}
				
		if( this.args.fontFamily == null ){
			this.args.fontFamily = "sans-serif";
		}
				
		if( this.args.fontWeight == null ){
			this.args.fontWeight = "bold";
		}
		
		var data = {
			text: this.args.text,
			fontFamily: this.args.fontFamily,
			fontStyle: this.args.fontStyle,
			varient: this.args.varient,
			fontWeight: this.args.fontWeight,
			fontSize: this.args.fontSize,
			align: this.args.align,
			fill: this.args.fill,
			fillOpacity: this.args.fillopacity,
			textColor: this.args.textColor,
			strokeOpacity: this.args.strokeopacity
		};
		
		return data;	
	}
});

})();