dojo.provide('ibm_ilog.diagram.editor.adorners.LinkConnectionAdorner');

dojo.require('ibm_ilog.diagram.templates.editor_templates');
dojo.require('ibm_ilog.diagram.adorners.LinkAdorner');
dojo.require('ibm_ilog.diagram.editor.adorners.LinkConnectionHandle');

(function() {
	var R = ibm_ilog.diagram.util.ErrorReporter;
	var g = ibm_ilog.diagram.util.Geometry, Rect = g.Rect, EmptyRect = g.EmptyRect, Size = g.Size, PointZero = g.PointZero, Point = g.Point;
	var gu = ibm_ilog.diagram.util.GraphUtil;
    
	ibm_ilog.diagram.gfxDeclaration(dojo.declare('ibm_ilog.diagram.editor.adorners.LinkConnectionAdorner',[ibm_ilog.diagram.adorners.LinkAdorner],{

    	initialize: function() {
    		this.inherited(arguments);

    		this._createHandle(ibm_ilog.diagram.editor.adorners.LinkConnectionHandle,"start").setup(0);
    		this._createHandle(ibm_ilog.diagram.editor.adorners.LinkConnectionHandle,"end").setup(1);

    	},
    	
    	activate: function() {
    		this._activateHandle("start");
    		this._activateHandle("end");
    	},
    	
    	deactivate: function() {
    		this._deactivateHandle("start");
    		this._deactivateHandle("end");
    	}

    }));

})();
