dojo.provide('ibm_ilog.diagram.editor.adorners.LinkConnectionHandle');

dojo.require('ibm_ilog.diagram.templates.editor_templates');
dojo.require('ibm_ilog.diagram.adorners.HighlightedHandle');
dojo.require('ibm_ilog.diagram.editor.interactors.LinkConnectionHandleInteractor');

(function() {

	ibm_ilog.diagram.gfxDeclaration(dojo.declare('ibm_ilog.diagram.editor.adorners.LinkConnectionHandle',[ibm_ilog.diagram.adorners.HighlightedHandle],{
		
		//
		//	location: handle position
		//
		location: null,
		
		setup: function(location) {
			// Summary:
			//		sets the handle positioning ( 0=start - 1=end )
			this.location = location;
			this.addInteractor(new ibm_ilog.diagram.editor.interactors.LinkConnectionHandleInteractor().initialize(this));
			return this;
		},
		
		getLocation:function(){
			return this.location;
		}
	}));

	ibm_ilog.diagram.editor.adorners.LinkConnectionHandle.templateId = "LinkConnectionHandle";


})();
