/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmpw.sketch.models.Sketch");

dojo.declare("rmpw.sketch.models.Sketch", null, {
	
	elementTypeID: "Sketch",
	
	getName: function() {
	   return this.name;
	},
	 
	constructor: function(parent, name) {
		if (parent) {
			   
			   if( parent.diagram ){
				   parent.diagram.sources.model.addEntity(this);
			   }else{
				   parent.addEntity(this); 
			   }
		   }
	   
	   this.name = name;
	   this.eClass = "Sketch";
	   this.attribute = [];	
	   this.relationships = [];
	   this.g = [];
	},
	
	addEntity: function(entity) {
		this.g.push(entity);
	}
});