/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmpw.dsv.editor.domain.ui.APIConfiguration");

dojo.require("rmpw.diagrams.render.Configuration");
dojo.require("rmpw.dsv.editor.data.EcoreJsonStore");
dojo.require("rmpw.dsv.editor.data.EcoreAuthStore");
dojo.require("rmps.diagrams.layout.GraphConfigurator");

dojo.declare("rmpw.dsv.editor.domain.ui.APIConfiguration", [rmpw.diagrams.render.Configuration], {
   commandList: [],
   diagramActions: null,
   nodeActions: null,
   edgeActions: null,
   //replace this to test with Auth enabled RDF backed  
   //store: rmpw.dsv.editor.data.EcoreAuthStore,
   store: rmpw.dsv.editor.data.EcoreJsonStore,
   interpretation: "EcoreComplete",
   graphConfigurator: rmps.diagrams.layout.GraphConfigurator
});    