/*******************************************************************************
 * Licensed Materials - Property of IBM Copyright IBM Corp. 2012. All
 * Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************************************/

dojo.provide("rmps.diagram.ui.ModelingPage");

dojo.require("rmpw.dsv.editor.domain.ui.ModelingPage");
dojo.require("rmps.diagram.ui.Configuration");
dojo.require("rmps.diagram.ui.DiagramStore");

	
(function() {

	var controls = rmpw.jazz.ui.Controls.items;
	dojo.declare("rmps.diagram.ui.ModelingPage", [rmpw.dsv.editor.domain.ui.ModelingPage], {

    	configuration: new rmps.diagram.ui.Configuration(),
    	
    	tools: [{ name: controls.ZOOM, display: true, enabled: true }],
               
    	prefix: "rmps.diagram.domain",
		
		fetchDiagram: function(resourceInfo) {
		    var diagramStore = new rmps.diagram.ui.DiagramStore( this.viewer );
			diagramStore.fetch(resourceInfo, this.definition);
		}	
    });
    
})();
