/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmpw.dsv.editor.behavior.ui.ToolEditor");

dojo.require("dijit.TitlePane");
dojo.require("dijit.form.ComboBox");

/**
 * Widget for editing a tool on a behavior model of a QVT relation equivalent to a shape.
 * 
 * @author Marc Gobeil
 */
dojo.declare("rmpw.dsv.editor.behavior.ui.ToolEditor", dijit.TitlePane, {
	postCreate: function() {
		this.attr("title", this.tool.eClass.name);
	}
});