dojo.provide('ibm_ilog.diagram.util.GlobalInitialization');

(function(){
	
	var gi = ibm_ilog.diagram.util.GlobalInitialization;
	
	gi._initializing = 0;
	
	gi.then = function(cb) {
		//
		//	summary:
		//		Executes cb after all registered entities have initialized.
		//
		if(!gi._initializing) {
			cb();
		} else {
			var h = dojo.connect(gi,"_finishedInit",function(){
				cb();
				dojo.disconnect(h);
			});
		}
	};
	
	gi.beginInit = function() {
		//
		//	summary:
		//		Notify an entity begins initialization.
		//
		
		gi._initializing++;
	};
	
	gi._finishedInit = function() {

	};

	gi.endInit = function() {
		//
		//	summary:
		//		Notify an entity just finished initialization.
		//
		gi._initializing--;
		if(!gi._initializing) {
			gi._finishedInit();
		}
	};
	
})();