/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmps.diagrams.render.RunRender");

dojo.require("rmps.diagrams.layout.GraphConfigurator");
dojo.require("rmpw.diagrams.render.RenderRoot");
dojo.require("rmps.diagrams.render.RenderReadStore");

var renderRoot = new rmpw.diagrams.render.RenderRoot({ 
	node: svgSurface,
	configuration: {
		allowAnimation: false,
		store: rmps.diagrams.render.RenderReadStore,
		graphConfigurator: rmps.diagrams.layout.GraphConfigurator
	}
});

var diagramStore = new rmps.diagrams.render.RenderReadStore( renderRoot );
diagramStore.fetch(); 






