/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.sketch.commands.shapes.CreateText");

dojo.require("rmpw.common.command.Command");

dojo.declare("rmpw.sketch.commands.shapes.CreateText", rmpw.common.command.Command, {
	id: "rmpw.sketch.commands.shapes.CreateText",
	icon: null,
	description: "CreateText",
	
	updateChangeSet: function(changeSet, args) {
		var text = {
			eClass: "TextType",
			x: args.x,
			y: args.y,
			text: args.text,
			family: args.family,
			style: args.style,
			varient: args.varient,
			weight: args.weight,
			size: args.size,
			align: args.align,
			fill: args.fill,
			fillOpacity: args.fillopacity,
			stroke: args.stroke,
			strokeOpacity: args.strokeopacity
		};
		
		var textGroup = {
			eClass: "GType",
			elementId: "Text",
			text: [ text ]
	    };
		
		var change = changeSet.createChange(args.svgParent);
		change.push("g", textGroup);

		return true;
	}
});