dojo.provide('ibm_ilog.diagram.editor.adorners.ConnectionAdorner');

dojo.require('ibm_ilog.diagram.templates.editor_templates');
dojo.require('ibm_ilog.diagram.adorners.AdornerWithHandles');
dojo.require('ibm_ilog.diagram.editor.adorners.ConnectionHandle');

(function() {
	var R = ibm_ilog.diagram.util.ErrorReporter;
	var g = ibm_ilog.diagram.util.Geometry, Rect = g.Rect, EmptyRect = g.EmptyRect, Size = g.Size, PointZero = g.PointZero, Point = g.Point;
	var gu = ibm_ilog.diagram.util.GraphUtil;
    
	ibm_ilog.diagram.gfxDeclaration(dojo.declare('ibm_ilog.diagram.editor.adorners.ConnectionAdorner',[ibm_ilog.diagram.adorners.AdornerWithHandles],{

    	initialize: function() {
    		this.inherited(arguments);

    		this._createConnectionHandle("hndT",Point(0.5,0));
    		this._createConnectionHandle("hndR",Point(1,0.5));
    		this._createConnectionHandle("hndB",Point(0.5,1));
    		this._createConnectionHandle("hndL",Point(0,0.5));
    	},
        
    	_createConnectionHandle: function(attachPoint,p) {
    		var h = this._createHandle(ibm_ilog.diagram.editor.adorners.ConnectionHandle,attachPoint);
    		if(h) {
    			h.setup(p);
    		}
    	}

    }));

})();
