dojo.provide('ibm_ilog.diagram.editor.adorners.ConnectionHandle');

dojo.require('ibm_ilog.diagram.templates.editor_templates');
dojo.require('ibm_ilog.diagram.adorners.HighlightedHandle');
dojo.require('ibm_ilog.diagram.editor.interactors.ConnectionHandleInteractor');

(function() {

	ibm_ilog.diagram.gfxDeclaration(dojo.declare('ibm_ilog.diagram.editor.adorners.ConnectionHandle',[ibm_ilog.diagram.adorners.HighlightedHandle],{
		
		//
		//	_location: Point
		//
		location: null,
		
		setup: function(location) {
			this.location = location;
			this.addInteractor(new ibm_ilog.diagram.editor.interactors.ConnectionHandleInteractor().initialize(this));
			return this;
		},
		
		getPortPosition:function(){
			return this.location;
		}
	}));
	
	ibm_ilog.diagram.editor.adorners.ConnectionHandle.templateId = "ConnectionHandle";


})();
