dojo.provide('ibm_ilog.diagram.editor.adorners.ConnectionTargetHandle');

dojo.require('ibm_ilog.diagram.templates.editor_templates');
dojo.require('ibm_ilog.diagram.adorners.HighlightedHandle');
dojo.require('ibm_ilog.diagram.editor.interactors.ConnectionTargetHandleInteractor');

(function() {

	ibm_ilog.diagram.gfxDeclaration(dojo.declare('ibm_ilog.diagram.editor.adorners.ConnectionTargetHandle',[ibm_ilog.diagram.adorners.HighlightedHandle],{
		
		//
		//	_location: Point
		//
		location: null,
		connectionInteractor: null,
		setup: function(location) {
			this.location = location;
			this.addInteractor(new ibm_ilog.diagram.editor.interactors.ConnectionTargetHandleInteractor().initialize(this));
			return this;
		},
		setConnectionInteractor: function(connectionInteractor){
			this.connectionInteractor = connectionInteractor;
		},	
		getConnectionInteractor:function(){
			return this.connectionInteractor;
		},
		getPortPosition:function(){
			return this.location;
		}
	}));
	
	
	
	ibm_ilog.diagram.editor.adorners.ConnectionTargetHandle.templateId = "ConnectionTargetHandle";


})();
