/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.sketch.models.TextBox");

dojo.declare("rmpw.sketch.models.TextBox", null, {
	
	elementTypeID: "TextBox",
	
	getName: function() {
	   return this.name;
	},
	 
	constructor: function(parent, name) {
	   if (parent) {
		   
		   if( parent.diagram ){
			   parent.diagram.sources.model.addEntity(this);
		   }else{
			   parent.addEntity(this); 
		   }
	   }
	   
	   this.name = name;
	   this.eClass = this.elementTypeID;
	   this.attribute = [];	
	   this.relationships = [];
	   this.g = [];
	},
	
	addEntity: function(entity) {
		this.g.push(entity);
	}
});