/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmpw.dsv.editor.preview.ui.Configuration");

dojo.require("rmpw.diagrams.render.Configuration");
dojo.require("rmpw.dsv.editor.data.EcoreJsonStore");
dojo.require("rmpw.dsv.editor.data.EcoreAuthStore");
dojo.require("rmps.diagrams.layout.GraphConfigurator");

dojo.declare("rmpw.dsv.editor.preview.ui.Configuration", [rmpw.diagrams.render.Configuration], {
	commandList: [],
	diagramActions: null,
	nodeActions: null,
	edgeActions: null,
    useDragPan: true,
    useWheelZoom: true,
	store: rmpw.dsv.editor.data.EcoreJsonStore,
	feed: "",
	interpretation: "",
	tooling: "/None",
	graphConfigurator: rmps.diagrams.layout.GraphConfigurator
});    