/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmps.app.ui.internal.DomainsManagementEditorInput");

dojo.require("rmps.ui.editor.EditorInput");
dojo.require("dojox.encoding.digests.MD5");
dojo.require("dojo.i18n");
dojo.requireLocalization("rmps.app.ui.internal", "DomainsManagementEditorInputMessages");
var messages= dojo.i18n.getLocalization("rmps.app.ui.internal", "DomainsManagementEditorInputMessages");

dojo.declare("rmps.app.ui.internal.DomainsManagementEditorInput", rmps.ui.editor.EditorInput, {
	
	projectId: null,
	
	constructor: function(projectId) {
		this.projectId = projectId;
	},
	
	getId: function() {
		return dojox.encoding.digests.MD5(this.declaredClass + ',' + this.projectId);
	},
	
	getName: function() {
		return messages.editor_name;
	},
	
	_basicPrefix: "#action=rmps.app.settings.",
	
	getBasePresentationUri: function()  {
		return this._basicPrefix + "modeling";
	}
});

})();
